%global enable_tests 1
%global module_name rc

Name:           nodejs-%{module_name}
Version:        1.2.2
Release:        3%{?dist}
Summary:        Hardwired configuration loader

License:        MIT or BSD or ASL 2.0
URL:            https://github.com/dominictarr/rc
Source0:        http://registry.npmjs.org/%{module_name}/-/%{module_name}-%{version}.tgz
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(deep-extend)
BuildRequires:  npm(ini)
BuildRequires:  npm(minimist)
BuildRequires:  npm(strip-json-comments)
%endif

%description
The non-configurable configuration loader for lazy people.

%prep
%setup -q -n package
%nodejs_fixdep strip-json-comments
%nodejs_fixdep deep-extend

rm -rf node_modules


%build
# nothing to build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -pr package.json *.js lib %{buildroot}%{nodejs_sitelib}/%{module_name}
%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%__nodejs test/test.js
%__nodejs test/ini.js
%__nodejs test/nested-env-vars.js
%endif


%files
%doc README.md
%license LICENSE.MIT LICENSE.APACHE2 LICENSE.BSD
%{nodejs_sitelib}/%{module_name}

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Oct 21 2017 Parag Nemade <pnemade AT redhat DOT com> - 1.2.2-1
- Update to 1.2.2 version (#1504434)

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed May 31 2017 Parag Nemade <pnemade AT redhat DOT com> - 1.2.1-2
- Fix broken dep for npm(deep-extend)

* Sun Apr 09 2017 Parag Nemade <pnemade AT redhat DOT com> - 1.2.1-1
- Update to 1.2.1 version

* Thu Mar 30 2017 Parag Nemade <pnemade AT redhat DOT com> - 1.2.0-1
- Update to 1.2.0 version

* Sun Feb 19 2017 Parag Nemade <pnemade AT redhat DOT com> - 1.1.7-1
- Update to 1.1.7

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Oct 18 2016 Parag Nemade <pnemade AT redhat DOT com> - 1.1.6-4
- Relax fixdep for npm(strip-json-comments)

* Wed Aug 03 2016 Parag Nemade <pnemade AT redhat DOT com> - 1.1.6-3
- remove fixdep for deep-extend module

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jan 20 2016 Tom Hughes <tom@compton.nu> - 1.1.6-1
- Update to 1.1.6 upstream release

* Sat Dec 12 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.6.0-3
- Fixdep updated minimist

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Feb 04 2015 Parag Nemade <pnemade AT redhat DOT com> - 0.6.0-1
- update to 0.6.0 upstream release

* Mon Dec 08 2014 Parag Nemade <pnemade AT redhat DOT com> - 0.5.4-2
- Add missing multilicense tag and its text

* Thu Dec 04 2014 Parag Nemade <pnemade AT redhat DOT com> - 0.5.4-1
- Initial packaging

